Name | Type | Default |
animationType
|
String
|
'slide'
|
Sets or gets the animation type.
Possible Values:
'slide'
'fade'
'none'
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :animationType="'fade'"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
arrowPosition
|
String
|
'right'
|
Sets or gets header's arrow position.
Possible Values:
'left'
'right'
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :arrowPosition="'left'"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
collapseAnimationDuration
|
Number
|
400
|
Sets or gets the collapsing animation duration.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :collapseAnimationDuration="3000"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
disabled
|
Boolean
|
false
|
Sets or gets whether the navigation bar is disabled.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :disabled="true"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
expandAnimationDuration
|
Number
|
400
|
Sets or gets the expanding animation duration.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :expandAnimationDuration="3000"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
expandMode
|
String
|
'singleFitHeight'
|
Sets or gets navigation bar's expand mode. Possible values ['single', 'singleFitHeight' 'multiple', 'toggle', 'none'].
Possible Values:
'single' - only one item can be expanded. If the expanded item's height is greater than the value of the height property, a vertical scrollbar is shown.
'singleFitHeight' - only one item can be expanded. If the expanded item's height is greater than the value of the height property, a vertical scrollbar is shown inside the content of the expanded item
'multiple' - multiple items can be expanded. If the expanded items' height is greater than the value of the height property, a vertical scrollbar is shown.
'toggle' - only one item can be expanded. The expanded item can also be collapsed.If the expanded item's height is greater than the value of the height property, a vertical scrollbar is shown
'none' - no items can be expanded/collapsed
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :expandMode="'single'"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
expandedIndexes
|
Array
|
[]
|
Sets or gets the expanded item(s). If the property expandMode is set to either 'single', 'singleFitHeight', 'toggle' or 'none', only the item corresponding to the first value in the array is expanded. If the property expandMode is set to either 'single' or 'singleFitHeight' and the expandedIndexes array is empty, the first item is expanded automatically.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :expandMode="'multiple'" :expandedIndexes=" [0, 1] "> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
height
|
Number | String
|
'auto'
|
Sets or gets the navigationbar's height. Possible values - 'auto' or string like this 'Npx' where N is any number or a numeric value in pixels.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
initContent
|
Function
|
null
|
Callback function called when an item's content needs to be initialized. Useful for initializing other widgets within the content of any of the items of jqxNavigationBar. The index argument shows which item is initialized.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :initContent="initContent"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { initContent: function () { jqwidgets.createInstance( '#button', 'jqxButton', { width: 50, height: 50 });
|
rtl
|
Boolean
|
false
|
Determines whether the right-to-left support is enabled.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :rtl="true"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
showArrow
|
Boolean
|
true
|
Sets or gets whether header's arrow is going to be shown.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :showArrow="false"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :theme="'material'"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
toggleMode
|
String
|
click
|
Sets or gets user interaction used for expanding or collapsing the content. Possible values ['click', 'dblclick', 'none'].
Possible Values:
'click'
'dblclick'
'none'
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200" :toggleMode="'dblclick'"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
width
|
Number | String
|
'auto'
|
Sets or gets the navigationbar's width. Possible values - 'auto' or string like this 'Npx' where N is any number or a numeric value in pixels.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
|
collapsingItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is going to be collapsed.
Code examples
Bind to the collapsingItem event of jqxNavigationBar.
<template> <JqxNavigationBar ref="myNavigationBar" @collapsingItem="onCollapsingItem($event)" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { onCollapsingItem: function (event) { alert( 'do something...');
|
collapsedItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is collapsed.
Code examples
Bind to the collapsedItem event of jqxNavigationBar.
<template> <JqxNavigationBar ref="myNavigationBar" @collapsedItem="onCollapsedItem($event)" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { onCollapsedItem: function (event) { alert( 'do something...');
|
expandingItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is going to be expanded.
Code examples
Bind to the expandingItem event of jqxNavigationBar.
<template> <JqxNavigationBar ref="myNavigationBar" @expandingItem="onExpandingItem($event)" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { onExpandingItem: function (event) { alert( 'do something...');
|
expandedItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is expanded.
Code examples
Bind to the expandedItem event of jqxNavigationBar.
<template> <JqxNavigationBar ref="myNavigationBar" @expandedItem="onExpandedItem($event)" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { onExpandedItem: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
add
|
header, content
|
None
|
This method inserts an item at the bottom of the navigationbar. It has two parameters - header (the header of the new item) and content (the content of the new item).
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.add( 'Header','Content');
|
collapseAt
|
index
|
None
|
Collapsing item with any index.
<template> <div> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div> </JqxNavigationBar> <JqxButton @click="collapse">Collapse First </JqxButton> <JqxButton @click="expand">Expand First </JqxButton> </div></template><script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { collapse: function () { this.$refs.myNavigationBar.collapseAt(0); }, expand: function () { this.$refs.myNavigationBar.expandAt(0);
|
disableAt
|
index
|
None
|
Disabling item with any index.
<template> <div> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div> </JqxNavigationBar> <JqxButton @click="disable">Disable First </JqxButton> <JqxButton @click="enable">Enable First </JqxButton> </div></template><script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { disable: function () { this.$refs.myNavigationBar.disableAt(0); }, enable: function () { this.$refs.myNavigationBar.enableAt(0);
|
disable
|
None
|
None
|
This method is disabling the navigation bar.
<template> <div> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div> </JqxNavigationBar> <JqxButton @click="disable">Disable </JqxButton> <JqxButton @click="enable">Enable </JqxButton> </div></template><script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { disable: function () { this.$refs.myNavigationBar.disable(); }, enable: function () { this.$refs.myNavigationBar.enable();
|
destroy
|
None
|
None
|
This method destroys the navigationbar.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.destroy();
|
expandAt
|
index
|
None
|
Expanding item with any index.
<template> <div> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div> </JqxNavigationBar> <JqxButton @click="collapse">Collapse First </JqxButton> <JqxButton @click="expand">Expand First </JqxButton> </div></template><script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { collapse: function () { this.$refs.myNavigationBar.collapseAt(0); }, expand: function () { this.$refs.myNavigationBar.expandAt(0);
|
enableAt
|
index
|
None
|
Enabling item with any index.
<template> <div> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div> </JqxNavigationBar> <JqxButton @click="disable">Disable First </JqxButton> <JqxButton @click="enable">Enable First </JqxButton> </div></template><script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { disable: function () { this.$refs.myNavigationBar.disableAt(0); }, enable: function () { this.$refs.myNavigationBar.enableAt(0);
|
enable
|
None
|
None
|
This method is enabling the navigation bar.
<template> <div> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div> </JqxNavigationBar> <JqxButton @click="disable">Disable </JqxButton> <JqxButton @click="enable">Enable </JqxButton> </div></template><script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { disable: function () { this.$refs.myNavigationBar.disable(); }, enable: function () { this.$refs.myNavigationBar.enable();
|
focus
|
None
|
None
|
This method focuses on the navigationbar. When the widget is focused, keyboard navigation can be used. Here is a list of the keys, supported by jqxNavigationBar and their function:
- Enter/Spacebar - if the focus is on an item header, collapses or expands the item.
- Left/Up arrow - focuses on the previous item header or on the last one if the currently focused is the first one.
- Right/Down arrow - focuses on the next item header or on the first one if the currently focused is the last one.
- End - focuses on the last item header.
- Home - focuses on the first item header.
- Tab - focuses on the first header or the next element in the DOM.
- Ctrl+Up arrow - if the focus is on an item content, focuses on its respective header.
- Ctrl+Down arrow - if the focus is on an item header, focuses on its respective content.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.focus();
|
getHeaderContentAt
|
index
|
String
|
Getting header content of item with any index. Returns a string value.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { const value = this.$refs.myNavigationBar.getHeaderContentAt(1);
|
getContentAt
|
index
|
String
|
Getting content of item with any index. Returns a string value.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { const value = this.$refs.myNavigationBar.getContentAt(1);
|
hideArrowAt
|
index
|
None
|
Hiding the arrow of an item with specific index.
<template> <div> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div> </JqxNavigationBar> <JqxButton @click="hideArrow">Hide Arrow </JqxButton> <JqxButton @click="showArrow">Show Arrow </JqxButton> </div></template><script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { hideArrow: function () { this.$refs.myNavigationBar.hideArrowAt(1); }, showArrow: function () { this.$refs.myNavigationBar.showArrowAt(1);
|
invalidate
|
None
|
None
|
This method refreshes the navigationbar.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.invalidate();
|
insert
|
Index, header, content
|
None
|
This method inserts an item at a specific index. It has three parameters - index, header (the header of the new item) and content (the content of the new item).
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.insert(1, 'Header','Content');
|
refresh
|
None
|
None
|
This method refreshes the navigationbar.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.refresh();
|
render
|
None
|
None
|
This method renders the navigationbar.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.render();
|
remove
|
index
|
None
|
This method removes an item at a specific index. The parameter (index) is optional and if it is not set, the method removes the last item.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.remove(1);
|
setContentAt
|
index, item
|
None
|
Setting content to item with any index.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.setContentAt(1, 'Content');
|
setHeaderContentAt
|
index, item
|
None
|
Setting header content to item with any index
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.setHeaderContentAt(1, 'Header');
|
showArrowAt
|
index
|
None
|
Showing the arrow of an item with specific index.
<template> <div> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div> </JqxNavigationBar> <JqxButton @click="hideArrow">Hide Arrow </JqxButton> <JqxButton @click="showArrow">Show Arrow </JqxButton> </div></template><script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, methods: { hideArrow: function () { this.$refs.myNavigationBar.hideArrowAt(1); }, showArrow: function () { this.$refs.myNavigationBar.showArrowAt(1);
|
update
|
index, header, content
|
None
|
This method updates an item at a specific index. It has three parameters - index, header (the new header of the item) and content (the new content of the item).
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div>
</JqxNavigationBar></template> <script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.update(1, 'Title','Content');
|
val
|
value
|
String
|
Sets or gets the expanded item.
<template> <JqxNavigationBar ref="myNavigationBar" :width="400" :height="200"> <div>Header 1</div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2</div> <div>Content 2</div> </JqxNavigationBar> </template><script> import JqxNavigationBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavigationbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavigationBar, JqxButton }, mounted: function () { this.$refs.myNavigationBar.val(1);
|

Name | Type | Default |
animationType
|
enum:NavigationBarAnimationType
|
'slide'
|
enum NavigationBarAnimationType { none, slide, fade } Sets or gets the animationType property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [animationType]="'fade'"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
arrowPosition
|
enum:NavigationBarArrowPosition
|
'right'
|
enum NavigationBarArrowPosition { left, right } Sets or gets the arrowPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [arrowPosition]="'left'"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
collapseAnimationDuration
|
Number
|
400
|
Sets or gets the collapseAnimationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [collapseAnimationDuration]="3000"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [disabled]="true"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
expandAnimationDuration
|
Number
|
400
|
Sets or gets the expandAnimationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [expandAnimationDuration]="3000"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
expandMode
|
enum:NavigationBarExpandMode
|
'singleFitHeight'
|
enum NavigationBarExpandMode { single, singleFitHeight, multiple, toggle, none } Sets or gets the expandMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [expandMode]="'single'"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
expandedIndexes
|
Array<Number>
|
[]
|
Sets or gets the expandedIndexes property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [expandedIndexes]='[0, 1]'> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
height
|
String | Number
|
'auto'
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
initContent
|
(index:Number) => Void
|
null
|
Sets or gets the initContent property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [initContent]="initContent"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [rtl]="true"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
showArrow
|
Boolean
|
true
|
Sets or gets the showArrow property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [showArrow]="false"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [theme]="'energyblue'"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
toggleMode
|
enum:NavigationBarToggleMode
|
click
|
enum NavigationBarToggleMode { click, dblclick, none } Sets or gets the toggleMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300" [toggleMode]="'dblclick'"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
width
|
String | Number
|
'auto'
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent {
|
|
collapsingItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is going to be collapsed.
Code examples
Bind to the collapsingItem event of jqxNavigationBar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar (onCollapsingItem)="CollapsingItem($event)" [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent { CollapsingItem(event: any): void
|
collapsedItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is collapsed.
Code examples
Bind to the collapsedItem event of jqxNavigationBar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar (onCollapsedItem)="CollapsedItem($event)" [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent { CollapsedItem(event: any): void
|
expandingItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is going to be expanded.
Code examples
Bind to the expandingItem event of jqxNavigationBar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar (onExpandingItem)="ExpandingItem($event)" [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent { ExpandingItem(event: any): void
|
expandedItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is expanded.
Code examples
Bind to the expandedItem event of jqxNavigationBar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar (onExpandedItem)="ExpandedItem($event)" [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent { ExpandedItem(event: any): void
|
|
Name | Return Type | Arguments |
add
|
Void
|
header: String | Number, content: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.add(1, 'Header','Content');
|
collapseAt
|
Void
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.collapseAt(1);
|
disableAt
|
Void
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.disableAt(1);
|
disable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.disable();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.destroy();
|
expandAt
|
Void
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.expandAt(1);
|
enableAt
|
Void
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.enableAt(1);
|
enable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.enable();
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.focus();
|
getHeaderContentAt
|
String
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { let value = this.myNavigationBar.getHeaderContentAt(1);
|
getContentAt
|
String
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { let value = this.myNavigationBar.getContentAt(1);
|
hideArrowAt
|
Void
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.hideArrowAt(1);
|
invalidate
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.invalidate();
|
insert
|
Void
|
Index: Number, header: String | Number, content: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.insert(1, 'Header','Content');
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.refresh();
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.render();
|
remove
|
Void
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.remove(1);
|
setContentAt
|
Void
|
index: Number, item: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.setContentAt(1, 'Content');
|
setHeaderContentAt
|
Void
|
index: Number, item: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.setHeaderContentAt(1, 'Header');
|
showArrowAt
|
Void
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.showArrowAt(1);
|
update
|
Void
|
index: Number, header: String | Number, content: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { this.myNavigationBar.update(1, 'Title','Content');
|
val
|
String | Number
|
value: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavigationBar #myNavigationBar [width]="400" [height]="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div>Merging the networks and creating the Internet </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div>Popular Internet services </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxNavigationBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavigationBar') myNavigationBar: jqxNavigationBarComponent; ngAfterViewInit(): void { let value = this.myNavigationBar.val(1);
|

Name | Type | Default |
animationType
|
NavigationBarAnimationType
|
'slide'
|
NavigationBarAnimationType: "none" | "slide" | "fade"
Sets or gets the animation type.
Possible Values:
'slide'
'fade'
'none'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} animationType={ 'fade'}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
arrowPosition
|
NavigationBarArrowPosition
|
'right'
|
NavigationBarArrowPosition: "left" | "right"
Sets or gets header's arrow position.
Possible Values:
'left'
'right'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} arrowPosition={ 'left'}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapseAnimationDuration
|
number
|
400
|
Sets or gets the collapsing animation duration.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} collapseAnimationDuration={3000}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the navigation bar is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} disabled={true}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expandAnimationDuration
|
number
|
400
|
Sets or gets the expanding animation duration.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} expandAnimationDuration={3000}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expandMode
|
NavigationBarExpandMode
|
'singleFitHeight'
|
NavigationBarExpandMode: "single" | "singleFitHeight" | "multiple" | "toggle" | "none"
Sets or gets navigation bar's expand mode. Possible values ['single', 'singleFitHeight' 'multiple', 'toggle', 'none'].
Possible Values:
'single' - only one item can be expanded. If the expanded item's height is greater than the value of the height property, a vertical scrollbar is shown.
'singleFitHeight' - only one item can be expanded. If the expanded item's height is greater than the value of the height property, a vertical scrollbar is shown inside the content of the expanded item
'multiple' - multiple items can be expanded. If the expanded items' height is greater than the value of the height property, a vertical scrollbar is shown.
'toggle' - only one item can be expanded. The expanded item can also be collapsed.If the expanded item's height is greater than the value of the height property, a vertical scrollbar is shown
'none' - no items can be expanded/collapsed
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} expandMode={ 'single'}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expandedIndexes
|
Array<number>
|
[]
|
Sets or gets the expanded item(s). If the property expandMode is set to either 'single', 'singleFitHeight', 'toggle' or 'none', only the item corresponding to the first value in the array is expanded. If the property expandMode is set to either 'single' or 'singleFitHeight' and the expandedIndexes array is empty, the first item is expanded automatically.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} expandMode={ 'multiple'} expandedIndexes={[0, 1]}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
'auto'
|
Sets or gets the navigationbar's height. Possible values - 'auto' or string like this 'Npx' where N is any number or a numeric value in pixels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
initContent
|
(index:number) => void
|
null
|
Callback function called when an item's content needs to be initialized. Useful for initializing other widgets within the content of any of the items of jqxNavigationBar. The index argument shows which item is initialized.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); constructor(props: {}) { super(props); this.state = { initContent: (): any => { jqwidgets.createInstance( '#button', 'jqxButton', { width: 50, height: 50 }); } } } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} initContent={this.state.initContent}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Determines whether the right-to-left support is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} rtl={true}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showArrow
|
boolean
|
true
|
Sets or gets whether header's arrow is going to be shown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} showArrow={false}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} theme={ 'material'}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
toggleMode
|
NavigationBarToggleMode
|
click
|
NavigationBarToggleMode: "click" | "dblclick" | "none"
Sets or gets user interaction used for expanding or collapsing the content. Possible values ['click', 'dblclick', 'none'].
Possible Values:
'click'
'dblclick'
'none'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200} toggleMode={ 'dblclick'}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
'auto'
|
Sets or gets the navigationbar's width. Possible values - 'auto' or string like this 'Npx' where N is any number or a numeric value in pixels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
collapsingItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is going to be collapsed.
Code examples
Bind to the collapsingItem event of jqxNavigationBar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} onCollapsingItem={this.onCollapsingItem} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } private onCollapsingItem(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapsedItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is collapsed.
Code examples
Bind to the collapsedItem event of jqxNavigationBar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} onCollapsedItem={this.onCollapsedItem} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } private onCollapsedItem(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expandingItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is going to be expanded.
Code examples
Bind to the expandingItem event of jqxNavigationBar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} onExpandingItem={this.onExpandingItem} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } private onExpandingItem(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expandedItem
|
Event
|
|
This event is triggered when a jqxNavigationBar item is expanded.
Code examples
Bind to the expandedItem event of jqxNavigationBar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} onExpandedItem={this.onExpandedItem} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } private onExpandedItem(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
add
|
header, content
|
|
This method inserts an item at the bottom of the navigationbar. It has two parameters - header (the header of the new item) and content (the content of the new item).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.add( 'Header','Content'); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapseAt
|
index
|
|
Collapsing item with any index.
|
disableAt
|
index
|
|
Disabling item with any index.
|
disable
|
None
|
|
This method is disabling the navigation bar.
|
destroy
|
None
|
|
This method destroys the navigationbar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.destroy(); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expandAt
|
index
|
|
Expanding item with any index.
|
enableAt
|
index
|
|
Enabling item with any index.
|
enable
|
None
|
|
This method is enabling the navigation bar.
|
focus
|
None
|
|
This method focuses on the navigationbar. When the widget is focused, keyboard navigation can be used. Here is a list of the keys, supported by jqxNavigationBar and their function:
- Enter/Spacebar - if the focus is on an item header, collapses or expands the item.
- Left/Up arrow - focuses on the previous item header or on the last one if the currently focused is the first one.
- Right/Down arrow - focuses on the next item header or on the first one if the currently focused is the last one.
- End - focuses on the last item header.
- Home - focuses on the first item header.
- Tab - focuses on the first header or the next element in the DOM.
- Ctrl+Up arrow - if the focus is on an item content, focuses on its respective header.
- Ctrl+Down arrow - if the focus is on an item header, focuses on its respective content.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.focus(); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getHeaderContentAt
|
index
|
|
Getting header content of item with any index. Returns a string value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.getHeaderContentAt(1); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getContentAt
|
index
|
|
Getting content of item with any index. Returns a string value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.getContentAt(1); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hideArrowAt
|
index
|
|
Hiding the arrow of an item with specific index.
|
invalidate
|
None
|
|
This method refreshes the navigationbar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.invalidate(); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
insert
|
Index, header, content
|
|
This method inserts an item at a specific index. It has three parameters - index, header (the header of the new item) and content (the content of the new item).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.insert(1, 'Header','Content'); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
This method refreshes the navigationbar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.refresh(); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
This method renders the navigationbar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.render(); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
remove
|
index
|
|
This method removes an item at a specific index. The parameter (index) is optional and if it is not set, the method removes the last item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.remove(1); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setContentAt
|
index, item
|
|
Setting content to item with any index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.setContentAt(1, 'Content'); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setHeaderContentAt
|
index, item
|
|
Setting header content to item with any index
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.setHeaderContentAt(1, 'Header'); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showArrowAt
|
index
|
|
Showing the arrow of an item with specific index.
|
update
|
index, header, content
|
|
This method updates an item at a specific index. It has three parameters - index, header (the new header of the item) and content (the new content of the item).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, INavigationBarProps> { private myNavigationBar = React.createRef <JqxNavigationBar>(); public componentDidMount(): void { this.myNavigationBar.current!.update(1, 'Title','Content'); } public render() { return ( <JqxNavigationBar ref={this.myNavigationBar} width={400} height={200}> <div>Header 1 </div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Header 2 </div> <div>Content 2 </div> </JqxNavigationBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value
|
|
Sets or gets the expanded item.
|